<!--
  ~ iparapheur Web
  ~ Copyright (C) 2019-2025 Libriciel SCOP
  ~
  ~ This program is free software: you can redistribute it and/or modify
  ~ it under the terms of the GNU Affero General Public License as published by
  ~ the Free Software Foundation, either version 3 of the License, or
  ~ (at your option) any later version.
  ~
  ~ This program is distributed in the hope that it will be useful,
  ~ but WITHOUT ANY WARRANTY; without even the implied warranty of
  ~ MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
  ~ GNU Affero General Public License for more details.
  ~
  ~ You should have received a copy of the GNU Affero General Public License
  ~ along with this program. If not, see <http://www.gnu.org/licenses/>.
  -->


<div class="d-flex flex-row justify-content-between">

  <app-admin-tenant-user-infos
    class="flex-grow-1 mx-2"
    [modifiedUser]="modifiedUser"
    (valid)="generalFormValid.emit($event)">
  </app-admin-tenant-user-infos>

  <div class="vertical-separator border-end"></div>

  <div class="flex-grow-1 me-2 ms-4 my-4">
    <app-user-password-doubled-input
      [user]="modifiedUser"
      [serverInfo]="serverInfo"
      (passwordChanged)="passwordChanged.emit($event)">
    </app-user-password-doubled-input>
  </div>

</div>
